Bug 526146 - broken: php-pear-Auth-OpenID is installed to the wrong location
Summary: broken: php-pear-Auth-OpenID is installed to the wrong location
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: php-pear-Auth-OpenID
Version: 13
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-29 04:15 UTC by James Cassell
Modified: 2011-04-09 08:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-09 08:48:14 UTC


Attachments (Terms of Use)
SPEC patch to move everything from Auth_OpenID/ to Auth/ (1.56 KB, patch)
2009-09-30 02:12 UTC, James Cassell
no flags Details | Diff

Description James Cassell 2009-09-29 04:15:46 UTC
Description of problem:
The package is installed to the wrong location.  The example from /usr/share/doc/php-pear-Auth-OpenID-2.1.1/examples/ doesn't work even after changing every "Auth/OpenID" to "Auth_OpenID/OpenID"

What does work is doing a 'ln -s /usr/share/pear/Auth_OpenID/ /usr/share/pear/Auth' -- which wouldn't work if I had any of the other packages installed that keep things in /usr/share/pear/Auth/

Then the example works without issue.


Version-Release number of selected component (if applicable):
php-pear-Auth-OpenID-2.1.1-7.fc11

How reproducible:
100%

Steps to Reproduce:
1. install php-pear-Auth-OpenID
2. try out the example
3. notice it shows an empty page (view->source shows nothing)
4. enable php error messages
5. see the error.
  
Actual results:
Fatal error: require_once() [function.require0]: Failed opening required 'Auth/OpenID.php' (include_path='/var/www/html/openid:.:/usr/share/pear:/usr/share/php') in /usr/share/pear/Auth_OpenID/OpenID/Consumer.php on line 163


Expected results:
It should show the OpenID login page

Additional info:
if everything in Auth_OpenID/ is moved to Auth/, everything will work as expected

Comment 1 James Cassell 2009-09-30 02:12:14 UTC
Created attachment 363105 [details]
SPEC patch to move everything from Auth_OpenID/ to Auth/

I don't know if the attached patch breaks any of these other packages that depend on this one (nor do I know if they even work with this package being broken):

# repoquery --whatrequires  php-pear-Auth-OpenID
php-laconica-0:0.5.0-4.fc11.noarch
mediawiki-openid-0:0.8.2-8.0.1.noarch


But it made everything work for me.

The patch moves everything to /usr/share/pear/Auth/ instead of /usr/share/pear/Auth_OpenID/

Comment 2 Rakesh Pandit 2009-11-30 09:18:28 UTC
ping Axel Thimm

Thanks,

Comment 3 Bug Zapper 2010-04-28 10:36:44 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 James Cassell 2010-04-28 14:28:06 UTC
I mean, I posted a fix 5 months ago.  Still no response from the maintainer... I tried to contact by e-mail, but no response there, either.

Changed version to 13.

Comment 5 Axel Thimm 2011-04-09 08:48:14 UTC
Sorry for the long delay!
Kurt Seifried fixed this and the update is available for f13 upwards. Please test and if the problem still persists reopen this bug. Thanks!


Note You need to log in before you can comment on or make changes to this bug.